Skip to main content
POST
ProxyManager Connect

Body

application/json

The request body resource

connection_name
string
required

The connection target

Example:

"pgdemo"

port
string
required

The port to listen in the client

Example:

"5432"

access_duration
integer

The access duration (in nanoseconds) of a session in case the connect has a review. Default to 30 minutes

Example:

1800000000000

Response

OK

access_duration
integer

The request access duration in case of review

Example:

1800000000000

connected-at
string

The time (RFC3339) when the client connect

Example:

"2024-07-25T19:36:41Z"

connection_name
string

The requested connection name

connection_subtype
string
read-only

The requested connection subtype

connection_type
string
read-only

The requested connection type

has_review
boolean
read-only

Report if the connection has a review

id
string<uuid>

Deterministic uuid identifier of the user

Example:

"20A5AABE-C35D-4F04-A5A7-C856EE6C7703"

metadata
object

Metadata information about the client

Example:
port
string

The requested client port to listen

status
enum<string>

The status of the connection request

  • ready - indicates the grpc client is ready to subscribe to a new connection
  • connected - indicates the client has opened a new session
  • disconnected - indicates the grpc client has disconnected
Available options:
ready,
connected,
disconnected